> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agentarea.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Skill File

> Get a file from a skill package.

By default, returns a redirect to a presigned URL.
Set redirect=false to get the presigned URL in the response body.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/skills/{skill_id}/files/{path}
openapi: 3.1.0
info:
  description: >-
    Modular and extensible framework for building AI agents. This API requires
    JWT Bearer token authentication for most endpoints. Include your JWT token
    in the Authorization header. Public endpoints include /, /health, /docs,
    /redoc, and /openapi.json.
  title: AgentArea API
  version: 0.1.0
servers: []
security:
  - bearer: []
paths:
  /v1/skills/{skill_id}/files/{path}:
    get:
      tags:
        - v1
        - protected
        - skills
      summary: Get Skill File
      description: |-
        Get a file from a skill package.

        By default, returns a redirect to a presigned URL.
        Set redirect=false to get the presigned URL in the response body.
      operationId: get_skill_file_v1_skills__skill_id__files__path__get
      parameters:
        - in: path
          name: skill_id
          required: true
          schema:
            format: uuid
            title: Skill Id
            type: string
        - in: path
          name: path
          required: true
          schema:
            title: Path
            type: string
        - in: query
          name: redirect
          required: false
          schema:
            default: true
            title: Redirect
            type: boolean
      responses:
        '200':
          content:
            application/json:
              schema: {}
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearer:
      bearerFormat: JWT
      description: JWT Bearer token for authentication
      scheme: bearer
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````